.imanLoadingBox{
    position: fixed;
    background: #4a4a4ae0;
    width: 100%;
    height: 100%;
    z-index: 999;
}

.loading {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(2);
}
.loading svg polyline {
    fill: none;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
}
.loading svg polyline#back {
    stroke: rgb(242 110 110 / 30%);
}
.loading svg polyline#front {
    stroke: #f26e6e;
    stroke-dasharray: 12, 36;
    stroke-dashoffset: 48;
    animation: dash 1s linear infinite;
}
@-moz-keyframes dash {
    62.5% {
        opacity: 0;
    }
    to {
        stroke-dashoffset: 0;
    }
}
@-webkit-keyframes dash {
    62.5% {
        opacity: 0;
    }
    to {
        stroke-dashoffset: 0;
    }
}
@-o-keyframes dash {
    62.5% {
        opacity: 0;
    }
    to {
        stroke-dashoffset: 0;
    }
}
@keyframes dash {
    62.5% {
        opacity: 0;
    }
    to {
        stroke-dashoffset: 0;
    }
}


/*
loading 2
 */

.imanLoader{
    position: relative;
    background: #4a4a4ae0;
    z-index: 999;
    text-align: center;
}

.loader {
    color: grey;
    font-family: sans-serif;
    height: 5vh;
    left: 50%;
    overflow-x: hidden;
    padding-top: 7vh;
    position: absolute;
    text-align: center;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 50vw;
}
.loader:before {
    animation: left-to-right 3s alternate infinite linear;
    background-image: linear-gradient(to right, transparent, red, transparent);
    content: "";
    height: 5vh;
    left: 0;
    overflow: hidden;
    position: absolute;
    right: 0;
    top: 0;
}
.loader:after {
    background-image: repeating-linear-gradient(90deg, white, white 1vw, transparent 1vw, transparent 10vw);
    content: "";
    height: 5vh;
    left: 0;
    overflow: hidden;
    position: absolute;
    right: 0;
    top: 0;
}

@keyframes left-to-right {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(100%);
    }
}